'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');

var isSupported = undefined;

function useNativeLazyLoading() {
  var _useState = react.useState(isSupported),
      supported = _useState[0],
      setSupported = _useState[1];

  react.useEffect(function () {
    if (isSupported === undefined) {
      isSupported = 'loading' in HTMLImageElement.prototype;
      setSupported(isSupported);

      if (process.env.NODE_ENV === 'test') {
        // If running in a test env, make sure to clean the value between runs
        isSupported = undefined;
      }
    }
  }, []);
  return supported;
}

exports.default = useNativeLazyLoading;
